Subject: Re: bug#49424: 27.2; Misdocumented default initialisation file

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 06 Jul 2021 17:11:38 +0200

Peter Oliver <[email-masked]> writes:

> The info page “49.4.4 How Emacs Finds Your Init File” says:
>
>> For brevity the rest of the Emacs documentation generally uses just
>> the current default location ‘~/.emacs.d/init.el’ for the init file.
>
> However, this seems to be inaccurate: if I start Emacs as a new user
> and make a customisation, that customisation is written to ~/.emacs.

That is indeed the case still in Emacs 28 -- I thought we'd changed that
to prefer either XDG paths or ~/.emacs.d/init.el when there's no
previous init file?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no